Package com.avaya.clientservices.voicemessaging

## Interface VoiceMessagingServiceListener

-     public interface VoiceMessagingServiceListener

  Interface that can be used to retrieve status updates from a VoiceMessagingService object. One or more listeners can be registered with a VoiceMessagingService object to retrieve status updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onMessageWaitingStatusChanged​(VoiceMessagingService voiceMessagingService, VoiceMessagingStatusParameters voiceMessagingStatus)` | Sent when the status of a voice messages has changed.
    `void` | `onVoicemailNumberChanged​(VoiceMessagingService voiceMessagingService, java.lang.String voicemailNumber)` | Sent when voicemail number is updated or available.
    `void` | `onVoiceMessagingServiceAvailable​(VoiceMessagingService voiceMessagingService)` | Sent to indicate that voice messaging service is available.
    `void` | `onVoiceMessagingServiceUnavailable​(VoiceMessagingService voiceMessagingService)` | Sent to indicate that voice messaging service is unavailable.

- - ### Method Detail

    - #### onVoiceMessagingServiceAvailable

          void onVoiceMessagingServiceAvailable​(VoiceMessagingService voiceMessagingService)

      Sent to indicate that voice messaging service is available.
      Parameters:
        `voiceMessagingService` - The voice messaging service associated with voicemail.

    - #### onVoiceMessagingServiceUnavailable

          void onVoiceMessagingServiceUnavailable​(VoiceMessagingService voiceMessagingService)

      Sent to indicate that voice messaging service is unavailable.
      Parameters:
        `voiceMessagingService` - The voice messaging service associated with voicemail.

    - #### onMessageWaitingStatusChanged

          void onMessageWaitingStatusChanged​(VoiceMessagingService voiceMessagingService,
                                             VoiceMessagingStatusParameters voiceMessagingStatus)

      Sent when the status of a voice messages has changed.
      Parameters:
        `voiceMessagingService` - The voice messaging service associated with voicemail.
        `voiceMessagingStatus` - The updated voice messaging status information.

    - #### onVoicemailNumberChanged

          void onVoicemailNumberChanged​(VoiceMessagingService voiceMessagingService,
                                        java.lang.String voicemailNumber)

      Sent when voicemail number is updated or available.
      Parameters:
        `voiceMessagingService` - Voice messaging service instance associated with voicemail message.
        `voicemailNumber` - voicemail number.